// protos.h - header file for vexed
//
// Edit this file to determine which version of vexed will be built.
// Leave one of the two Version14x defines commented out.  
// Copy the corresponding vexed.rcp.xxx to vexed.rcp.  For example,
//   copy vexed.rcp.14 vexed.rcp
   
#define Version14 1.4
//#define Version14a 1.4a

#define Left 1
#define Right 2
#define Up 3
#define Down 4
#define Erase 5
                       
#define MaxLevels 59 // 0 inclusive

#define HighBeep 1
#define LowBeep 2
#define HighSweepLow 3

// gfx.c
void LoadBitmapResources();
void UnloadBitmapResources();
void DrawLevel();
void UpdateStats();
void DrawIntro();
void EndSequence();

// game.c
void LoadLevel(int levelnumber);
void MoveBlock(int sx, int sy, int direction, int speed);
Boolean PlayerMakeMove(int sx, int sy, int direction);

// system.c
Boolean CompareLevelArrays(int Array1 [9] [11], int Array2 [9] [11]);

// sound.c
void SoundEffect(int effect);
void LoadPreferences();
void SavePreferences();